<template>
  <!-- 漏缆实时状态 -->
  <div class="leakage-cable">
    <div class="leakage-top">
      <div style="color: #666666"></div>
      <div class="operate-btn">
        <el-button type="primary" @click="getTableData">刷新</el-button>
        <el-button type="primary">查询</el-button>
        <el-button type="primary" @click="toExport">导出</el-button>
      </div>
    </div>
    <el-table
      :data="tableData"
      style="width: 100%"
      :cell-class-name="cellClassFn"
      :header-cell-style="{ background: '#EAF1FE', color: '#666666' }"
    >
      <el-table-column type="index" label="序列号" width="100" align="center" />
      <el-table-column
        prop="siteName"
        label="基站名称"
        width="180"
        align="center"
      />
      <el-table-column
        prop="alarmTarget"
        label="告警对象"
        width="180"
        align="center"
      />
      <el-table-column prop="alarmLevelName" label="告警级别" width="150" align="center">
      </el-table-column>
      <el-table-column prop="alarmInfo" label="告警信息" align="center">
      </el-table-column>
      <el-table-column prop="lateUploadTime" label="最新上传时间" align="center" />
    </el-table>
    <Pagination
      :limit="params.size"
      :page="params.curent"
      :total="total"
      class="pagination"
      @pagination="handlePageChange"
    />
  </div>
</template>

<script>
import { CableStatusList, CableStatusExport } from './api'
import { ConnectStatusEnum } from '@/const/index'
export default {
  data() {
    return {
      ConnectStatusEnum,
      params: {
        curent: 1,
        size: 10
      },
      total: 10,
      tableData: [],
    };
  },
  methods: {
    // 表格背景图颜色
    cellClassFn({ row, column, rowIndex, columnIndex }) {
      if (row.level == '紧急' && column.label == '告警级别') {
        return 'emergency'
      } else if (row.level == '重要' && column.label == '告警级别') {
        return 'important'
      }
      if (rowIndex % 2 == 1) {
        return 'stripe'
      }
    },
    handlePageChange(pageData) {
      this.params.size = pageData.size
      this.params.curent = pageData.page
      this.getTableData()
    },
    getTableData() {
      CableStatusList(this.params).then(res => {
        let list = res.records || []
        this.tableData = list
        this.total = res.total
      })
    },
    toExport() {
      CableStatusExport().then(res => {})
    }
  },
  mounted() {
    this.getTableData()
  },
};
</script>

<style lang="scss" scoped>
.leakage-cable {
  .leakage-top {
    margin-bottom: 20px;
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
  }
  & ::v-deep .cell {
    color: #333333;
  }
  .message {
    line-height: 22px;
  }
  .red {
    color: red;
  }
  .green {
    color: green;
  }
  .black {
    color: black;
  }
  & ::v-deep .stripe {
    background-color: #eaf1fe;
  }
  & ::v-deep .emergency {
    background-color: #f00;
  }
  & ::v-deep .important {
    background-color: #f89850;
  }
  .page {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
    .curent {
      margin: 0 20px;
    }
  }
}
</style>
